← Tabeller
Ryd

Ireland

Ulster Championship 2

#HoldPWDLPDPtsForm
1Strabane RFC5410–21WWWWD
2Carrickfergus RFC5401–20WWWLW
3Lisburn RFC5401–18LWWWW
4Academy RFC5302–17LLWWW
5City Of Derry RFC5212–15WWLLD
6C.I.Y.M.S RFC5203–12WWLLL
7Larne RFC5203–9LLWLW
8Randalstown RFC5104–7LLLWL
9Letterkenny RFC5104–6LLLWL
10Coleraine RFC5104–5WLLLL

Kilde: Ulster Rugby · tjekket 18. okt., 20.20 · Form: de seneste fem resultater, vi har, nyeste til højre.

Kampe og resultater →

Hver tabel er ligaens egen offentliggjorte stilling med bonuspoint, fradrag og placeringsregler. BP vises, hvor ligaen offentliggør det; ellers er det allerede med i Pts.